Verified Commit 593cff43 authored by Georg Krause's avatar Georg Krause
Browse files

Update dependency vue cli and plugins to 5.0.1

parent 2b6a7c7e
...@@ -9,9 +9,9 @@ ...@@ -9,9 +9,9 @@
"build": "scripts/i18n-compile.sh && vue-cli-service build", "build": "scripts/i18n-compile.sh && vue-cli-service build",
"test:unit": "vue-cli-service test:unit --reporter mocha-junit-reporter", "test:unit": "vue-cli-service test:unit --reporter mocha-junit-reporter",
"lint": "eslint --ext .js,.vue src", "lint": "eslint --ext .js,.vue src",
"fix-fomantic-css": "scripts/fix-fomantic-css.sh",
"i18n-compile": "scripts/i18n-compile.sh", "i18n-compile": "scripts/i18n-compile.sh",
"i18n-extract": "scripts/i18n-extract.sh", "i18n-extract": "scripts/i18n-extract.sh",
"fix-fomantic-css": "scripts/fix-fomantic-css.sh",
"postinstall": "yarn run fix-fomantic-css" "postinstall": "yarn run fix-fomantic-css"
}, },
"dependencies": { "dependencies": {
...@@ -45,10 +45,10 @@ ...@@ -45,10 +45,10 @@
}, },
"devDependencies": { "devDependencies": {
"@babel/eslint-parser": "7.17.0", "@babel/eslint-parser": "7.17.0",
"@vue/cli-plugin-babel": "4.5.15", "@vue/cli-plugin-babel": "~5.0.1",
"@vue/cli-plugin-pwa": "4.5.15", "@vue/cli-plugin-pwa": "~5.0.1",
"@vue/cli-plugin-unit-mocha": "5.0.1", "@vue/cli-plugin-unit-mocha": "~5.0.1",
"@vue/cli-service": "4.5.15", "@vue/cli-service": "~5.0.1",
"@vue/test-utils": "1.3.0", "@vue/test-utils": "1.3.0",
"chai": "4.3.6", "chai": "4.3.6",
"easygettext": "2.17.0", "easygettext": "2.17.0",
......
...@@ -5,7 +5,10 @@ const webpack = require('webpack'); ...@@ -5,7 +5,10 @@ const webpack = require('webpack');
const PreloadWebpackPlugin = require('preload-webpack-plugin'); const PreloadWebpackPlugin = require('preload-webpack-plugin');
let plugins = [ let plugins = [
// do not include moment.js locales since it's quite heavy // do not include moment.js locales since it's quite heavy
new webpack.IgnorePlugin(/^\.\/locale$/, /moment$/), new webpack.IgnorePlugin({
resourceRegExp: /^\.\/locale$/,
contextRegExp: /moment$/
}),
new PreloadWebpackPlugin({ new PreloadWebpackPlugin({
rel: 'preload', rel: 'preload',
include: ['audio', 'core', 'about'] include: ['audio', 'core', 'about']
......
This diff is collapsed.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment